# override normal system options to use the build tree.
%define _topdir		/var/tmp/msttcorefonts-bootstrap
%define _tmppath	/var/tmp/msttcorefonts-bootstrap/tmp

%define distribution	Mandrake Linux	
%define vendor		MandrakeSoft	
%define packager	Ben Reser <ben@reser.org>	

# Where the fonts get installed
%define fontdir		/usr/share/fonts/msttcorefonts 

# Include the Tahoma font
%define tahoma		0

# Site to download the fonts from
%define distserver	http://ben.reser.org/corefonts/download

%define tahoma_url	http://ben.reser.org/corefonts/download/IELPKTH.CAB

%define name		msttcorefonts
%define version		0.1
%define release		3mdk

Summary:	Microsoft True Type Core Fonts 
Name:		%name
Version:	%version
Release:	%release
License:	Commercial
Group:		System/Fonts/True type
BuildArch:	noarch
URL:		http://corefonts.sourceforge.net/
BuildRoot: 	%_tmppath/%name--buildroot	
BuildPrereq:	webfetch
BuildPrereq:	cabextract
BuildPrereq:	freetype-tools	
Prereq:		chkfontpath

%description
The TrueType core fonts for the web that was once available from
http://www.microsoft.com/typography/fontpack/. The src rpm is cleverly
constructed so that the actual fonts are downloaded from Sourceforge's site
at build time. Therefore this package technically does not 'redistribute'
the fonts, it just makes it easy to install them on a linux system.

%prep
rm -rf %{name}
mkdir %{name}
cd %{name}
for i in andale32.exe webdin32.exe trebuc32.exe georgi32.exe verdan32.exe comic32.exe arialb32.exe impact32.exe arial32.exe times32.exe courie32.exe
do
	if [ -x /usr/bin/wget ]; then
		wget %{distserver}/$i
	elif [ -x /usr/bin/curl ]; then
		curl -L -o $i %{distserver}/$i
	else
		echo "Couldn't find wget or curl to download the fonts with"
	fi
done
%if %{tahoma}
	if [ -x /usr/bin/wget ]; then
		wget %{tahoma_url} 
	elif [ -x /usr/bin/curl ]; then
	        # Ugly hack to get curl to write it out to the filename from the site...
		# I HATE CURL!
		curl -L -o `echo %{tahoma_url} | rev | cut -d '/' -f 1 | rev` %{tahoma_url} 
	else
		echo "Couldn't find wget or curl to download the fonts with"
	fi
%endif

%build

cd %{name}
mkdir -p cab-contents

for i in *.exe *.CAB
do
	if test -f $i
	then
		cabextract --lowercase --directory=cab-contents $i
	fi
done

%install
cd %{name}
mkdir -p $RPM_BUILD_ROOT/%{fontdir}
cp cab-contents/*.ttf $RPM_BUILD_ROOT/%{fontdir}
/usr/sbin/ttmkfdir -d $RPM_BUILD_ROOT/%{fontdir} > $RPM_BUILD_ROOT/%{fontdir}/fonts.dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
if test $1 -eq 1
then
	/usr/sbin/chkfontpath --add %{fontdir}
fi

%preun
if test $1 -eq 0
then
	/usr/sbin/chkfontpath --remove %{fontdir}
fi

%files
%defattr(0644,root,root,0755)
%doc %{name}/cab-contents/licen.txt
%dir %{fontdir}
%{fontdir}/*

%changelog
* Sat Nov 16 2002 Ben Reser <ben@reser.org> 0.1-3mdk
- Switched from directly using the URLS on sourceforge and
  Microsoft's site to using URLS on my site that redirect to them.
  This will keep the RPM from breaking when/if the source URLS
  change and would prevent us from needing to put out an update.
- Moved control of Tahoma URL into the bootstrap spec.
- When using curl add the -L option to the command line so it'll
  follow redirects.
- Add tests, if something fails then bootstrap rpm is not uninstalled
  so the log file can be checked.
